cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From seb...@apache.org
Subject [5/7] cloudstack-docs-rn git commit: update awsapi removal instruction
Date Mon, 21 Dec 2015 20:04:22 GMT
update awsapi removal instruction

Signed-off-by: runseb <runseb@gmail.com>


Project: http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/commit/242aac01
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/tree/242aac01
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/diff/242aac01

Branch: refs/heads/master
Commit: 242aac017152b82a7a705227a3d125373e7d0db2
Parents: 2ff573f
Author: Pierre-Luc Dion <pdion891@apache.org>
Authored: Tue Nov 24 19:19:59 2015 -0500
Committer: runseb <runseb@gmail.com>
Committed: Mon Dec 21 21:02:55 2015 +0100

----------------------------------------------------------------------
 source/about.rst               | 16 ++++++++++++++++
 source/upgrade/upgrade-4.2.rst |  6 ++++++
 source/upgrade/upgrade-4.3.rst |  5 +++++
 source/upgrade/upgrade-4.4.rst |  5 +++++
 source/upgrade/upgrade-4.5.rst |  5 +++++
 5 files changed, 37 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/blob/242aac01/source/about.rst
----------------------------------------------------------------------
diff --git a/source/about.rst b/source/about.rst
index c8e2cf0..7b90e81 100644
--- a/source/about.rst
+++ b/source/about.rst
@@ -89,6 +89,21 @@ Link                   https://hub.docker.com/u/cloudstack/
 ====================== ============================================================================
 
 
+Deprecation of awsapi
+---------------------
+
+The module awsapi as been removed from the source code and replaced by ec2stack
+(https://github.com/apache/cloudstack-ec2stack). Removal of awsapi change the
+upgrade process to 4.6 from previous release as the RPM cloudstack-awsapi must
+be removed. This deprecation removed close to 1 million lines of code from the
+source base.
+
+====================== ============================================================================
+Supported hypervisors: N/A
+Link                   `CLOUDSTACK-8433`_
+====================== ============================================================================
+
+
 Improvements
 ------------
 
@@ -204,3 +219,4 @@ Jira ID             Description
 .. _CLOUDSTACK-8989 : https://issues.apache.org/jira/browse/CLOUDSTACK-8989
 .. _CLOUDSTACK-8992 : https://issues.apache.org/jira/browse/CLOUDSTACK-8992
 .. _CLOUDSTACK-9044 : https://issues.apache.org/jira/browse/CLOUDSTACK-9044
+.. _CLOUDSTACK-8433 : https://issues.apache.org/jira/browse/CLOUDSTACK-8433
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/blob/242aac01/source/upgrade/upgrade-4.2.rst
----------------------------------------------------------------------
diff --git a/source/upgrade/upgrade-4.2.rst b/source/upgrade/upgrade-4.2.rst
index 44fa0bb..d0e623b 100644
--- a/source/upgrade/upgrade-4.2.rst
+++ b/source/upgrade/upgrade-4.2.rst
@@ -221,6 +221,12 @@ Setup the GPG public key if you wish to enable ``gpgcheck=1``:
 If you're using your own package repository, change this line to
 read as appropriate for your |version| repository.
 
+#. Remove the deprecated dependency for awsapi.
+
+   .. sourcecode:: bash
+
+      $ sudo rpm -e --nodeps cloudstack-awsapi
+
 #. Now that you have the repository configured, it's time to upgrade the 
    ``cloudstack-management``.
 

http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/blob/242aac01/source/upgrade/upgrade-4.3.rst
----------------------------------------------------------------------
diff --git a/source/upgrade/upgrade-4.3.rst b/source/upgrade/upgrade-4.3.rst
index e365d6b..13e84db 100644
--- a/source/upgrade/upgrade-4.3.rst
+++ b/source/upgrade/upgrade-4.3.rst
@@ -224,6 +224,11 @@ Setup the GPG public key if you wish to enable ``gpgcheck=1``:
 If you're using your own package repository, change this line to
 read as appropriate for your |version| repository.
 
+#. Remove the deprecated dependency for awsapi.
+
+   .. sourcecode:: bash
+
+      $ sudo rpm -e --nodeps cloudstack-awsapi
 
 #. Now that you have the repository configured, it's time to upgrade the 
    ``cloudstack-management``.

http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/blob/242aac01/source/upgrade/upgrade-4.4.rst
----------------------------------------------------------------------
diff --git a/source/upgrade/upgrade-4.4.rst b/source/upgrade/upgrade-4.4.rst
index e871f6b..5d0fb8b 100644
--- a/source/upgrade/upgrade-4.4.rst
+++ b/source/upgrade/upgrade-4.4.rst
@@ -226,6 +226,11 @@ Setup the GPG public key if you wish to enable ``gpgcheck=1``:
 If you're using your own package repository, change this line to
 read as appropriate for your |version| repository.
 
+#. Remove the deprecated dependency for awsapi.
+
+   .. sourcecode:: bash
+
+      $ sudo rpm -e --nodeps cloudstack-awsapi
 
 #. Now that you have the repository configured, it's time to upgrade the 
     ``cloudstack-management``.

http://git-wip-us.apache.org/repos/asf/cloudstack-docs-rn/blob/242aac01/source/upgrade/upgrade-4.5.rst
----------------------------------------------------------------------
diff --git a/source/upgrade/upgrade-4.5.rst b/source/upgrade/upgrade-4.5.rst
index fcf7595..be00d32 100644
--- a/source/upgrade/upgrade-4.5.rst
+++ b/source/upgrade/upgrade-4.5.rst
@@ -227,6 +227,11 @@ Setup the GPG public key if you wish to enable ``gpgcheck=1``:
 If you're using your own package repository, change this line to
 read as appropriate for your |version| repository.
 
+#. Remove the deprecated dependency for awsapi.
+
+   .. sourcecode:: bash
+
+      $ sudo rpm -e --nodeps cloudstack-awsapi
 
 #. Now that you have the repository configured, it's time to upgrade the 
    ``cloudstack-management``.


Mime
View raw message